## wxwidgets3.0 3.0.2+dfsg

=== locale/Makefile ===
# this is the makefile for generating wxstd.pot message catalog file and
# building lang.mo files from the translated lang.po catalogs

# this makefile may be invoked to build either wxstd.pot or any lang.mo

# Autodetect the languages we support.  Currently this relies on make
# being called with this dir as the cwd, but if we generate this file
# with configure an explicit path should be specified -- RL.

WX_LINGUAS := $(shell ls *.po */*.po 2> /dev/null | sed 's/wxstd.pot//g' | sed 's/.po//g')
WX_LINGUAS_UPDATE := $(shell ls *.po 2> /dev/null | sed 's/wxstd.pot//g' | sed 's/.po//g')

# the programs we use (TODO: use configure to detect them)
MSGFMT=msgfmt --verbose
MSGMERGE=msgmerge
XGETTEXT=xgettext
XARGS=xargs

# common xgettext args: C++ syntax, use the specified macro names as markers
XGETTEXT_ARGS=-C -k_ -kwxPLURAL:1,2 -kwxTRANSLATE -kwxGetTranslation -s -j

# implicit rules
%.mo: %.po
	$(MSGFMT) -c -o $@ $<

# a PO file must be updated from wxstd.pot to include new translations
# (but not manually maintained platform-specific files like msw/it.po)
$(foreach lang,$(WX_LINGUAS_UPDATE),$(lang).po): wxstd.pot

%.po:
	if [ -f $@ ]; then $(MSGMERGE) $@ wxstd.pot > $@.new && mv $@.new $@; else cp wxstd.pot $@; fi

wxstd.pot:
	touch $@
	find ../include -name "*.h" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.pot
	find ../src -name "*.cpp" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.pot

allpo: force-update
	@-for t in $(WX_LINGUAS_UPDATE); do $(MAKE) $$t.po; done

allmo:
	@for t in $(WX_LINGUAS); do $(MAKE) $$t.mo; done

force-update:
	$(RM) wxstd.pot

check:
	@for t in $(WX_LINGUAS); do \
	    $(MSGFMT) -c -o /dev/null $$t.po 2>/dev/null || echo "$$t.po is BROKEN."; \
	done

# print out the percentage of the translated strings
stats: FORCE
	@for i in $(WX_LINGUAS); do \
		x=`$(MSGFMT) -o /dev/null "$$i.po" 2>&1 | sed -e 's/[,\.]//g' \
			-e 's/\([0-9]\+\) translated messages\?/TR=\1/' \
			-e 's/\([0-9]\+\) fuzzy translations\?/FZ=\1/' \
			-e 's/\([0-9]\+\) untranslated messages\?/UT=\1/'`; \
		TR=0 FZ=0 UT=0; \
		eval $$x; \
		TOTAL=`expr $$TR + $$FZ + $$UT`; \
		echo "$$i.po `expr 100 "*" $$TR / $$TOTAL`% of $$TOTAL strings"; \
	done

FORCE:

.PHONY: allpo allmo force-update percentage FORCE

=== debian/changelog ===
wxwidgets3.0 (3.0.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    - fix for upstream issue breaking poedit2 package (Closes: #860043).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Apr 2017 08:09:24 +0200

wxwidgets3.0 (3.0.2+dfsg-3) unstable; urgency=medium

  * Force building as C++98 for now to fix FTBFS of qutemol and perhaps
    other rdeps since recent binNMU with a GCC version which defaults
    to C++11.  Patch from Adrian Bunk.  (Closes: #856350)

 -- Olly Betts <olly@survex.com>  Wed, 01 Mar 2017 14:15:40 +1300

wxwidgets3.0 (3.0.2+dfsg-2) unstable; urgency=medium

  * ACK NMUs.
  * debian/rules: Remove non-functional --with-sdl from configure invocation,
    reported by gregory hainaut. (Closes: #802770)
  * New patch Fix-STC-compilation-with-GCC6.patch to fix FTBFS with GCC6.
    (Closes: #828926)
  * Note conformance with Standards-Version 3.9.8.

 -- Olly Betts <olly@survex.com>  Fri, 29 Jul 2016 11:57:57 +1200

wxwidgets3.0 (3.0.2+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Define wxIsNaN() as std::isnan() in C++11 mode. This fixes the build
    failure of Audacity (Closes: #824264, LP: #1581807)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 14 May 2016 14:41:06 +0200

wxwidgets3.0 (3.0.2+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control.in,
    debian/rules,
    debian/patches/gst1.0.patch:
    + Port to GStreamer 1.x (Closes: #785924), patch based on the one from
      http://trac.wxwidgets.org/ticket/14976 with a lot of changes.
  * debian/control.in:
    + Remove obsolete build-depends on ESD and GConf.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 21 Feb 2016 11:21:28 +0200

wxwidgets3.0 (3.0.2+dfsg-1.2) unstable; urgency=medium

  * Non maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 12:55:21 +0200

wxwidgets3.0 (3.0.2+dfsg-1.1) experimental; urgency=medium

  * Non maintainer upload.
  * Rename library packages, follow-up for the libstdc++6 ABI transition.
    Addresses: #791311.
  * Add Breaks/Replaces to the old library packages.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 13:26:47 +0200

wxwidgets3.0 (3.0.2+dfsg-1) unstable; urgency=medium

  * Repack sources to remove prebuilt .swf and .chm files without sources
    (or without suitable sources).  (Closes: #788339)
  * Restore the webview packages for now - boinc is still using them (I
    failed to pass -R to dak rm when checking if removing it would break
    anything).  (Reopens: #790222, #786986)
  * Don't package files from the examples which are only useful on other
    platforms.  A side benefit is that this moves us closer to a reproducible
    build as "chart.icns" seems to trigger a reproducibility issue in gzip.

 -- Olly Betts <olly@survex.com>  Thu, 02 Jul 2015 14:05:32 +1200

wxwidgets3.0 (3.0.2-3) unstable; urgency=medium

  * debian/rules: Remove the kernel version from WXWIN_OS_DESCRIPTION as it
    makes the build less reproducible.
  * Give a warning instead of an error if the compiler ABI used to compile
    user code is different to that used to compile wxWidgets, which should
    fix GCC5 FTBFS for many of wx's reverse build dependencies.
  * Stop building with --enable-webview as the only package which was using
    it (boinc) no longer is, and it uses an obsolete version of webkit.
    Updating to a supported version would require switching to gtk3, which
    we probably aren't ready for yet. (Closes: #790222, #786986)
  * Call dh_autotools-dev_restoreconfig before dh_clean to avoid debhelper
    logs ending up in the source package.

 -- Olly Betts <olly@survex.com>  Mon, 29 Jun 2015 12:32:37 +1200

wxwidgets3.0 (3.0.2-2) unstable; urgency=medium

  [ Norimitsu Sugimoto, Gianfranco Costamagna ]
  * build with wx3.0-doc package. (Closes: #737050)

  [ Olly Betts ]
  * Make the build reproducible - new patch: reproducible-build.patch
  * Standards-Version: 3.9.6 (no changes required).
  * Drop the version requirement in "Suggests" from wx3.0-examples to
    libwxgtk3.0-dev - the exact version really isn't important, and using
    "(= ${binary:Version})" isn't satisfiable after a binNMU.
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig to
    manage updating config.guess and config.sub.

 -- Olly Betts <olly@survex.com>  Wed, 20 May 2015 15:55:38 +1200

=== debian/control ===
Source: wxwidgets3.0
Section: libs
Priority: optional
Build-Depends-indep: doxygen
Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
 g++ (>= 4:5.2),
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 autotools-dev, autoconf, libexpat1-dev, dpkg-dev (>= 1.16.1~), libxt-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 libwebkitgtk-dev, libnotify-dev
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Uploaders: Olly Betts <olly@survex.com>
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wx3.0-debian
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wx3.0-debian
Homepage: http://www.wxwidgets.org/

Package: libwxbase3.0-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libwxbase3.0-0
Replaces: libwxbase3.0-0
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.0 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.0-dev
Architecture: any
Section: libdevel
Depends: wx3.0-headers (= ${binary:Version}), libwxbase3.0-0v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase3.0-0v5-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxbase3.0-0v5 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Breaks: libwxbase3.0-0-dbg
Replaces: libwxbase3.0-0-dbg
Description: debugging symbols for the wxBase library
 This package contains detached debugging symbols for the wxBase library
 (part of wxWidgets).
 .
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.

Package: libwxgtk3.0-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libwxgtk3.0-0
Replaces: libwxgtk3.0-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0v5 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk3.0-0v5-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk3.0-0v5 (= ${binary:Version}), libwxbase3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Breaks: libwxgtk3.0-0-dbg
Replaces: libwxgtk3.0-0-dbg
Description: debugging symbols for the wxGTK GUI toolkit library
 This package contains detached debugging symbols for the wxGTK library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-x
Multi-Arch: same
Breaks: libwxgtk-media3.0-0
Replaces: libwxgtk-media3.0-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk2u_media.

Package: libwxgtk-media3.0-0v5-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-media3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Breaks: libwxgtk-media3.0-0-dbg
Replaces: libwxgtk-media3.0-0-dbg
Description: debugging symbols for the wxGTK media library
 This package contains detached debugging symbols for the wxGTK media library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-media library.

Package: libwxgtk-webview3.0-0v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libwxgtk-webview3.0-0
Replaces: libwxgtk-webview3.0-0
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the webview shared libraries needed to run programs
 linked against libwx_gtk2u_webview.

Package: libwxgtk-webview3.0-0v5-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
Suggests: libwebkitgtk-3.0-0-dbg
Multi-Arch: same
Breaks: libwxgtk-webview3.0-0-dbg
Replaces: libwxgtk-webview3.0-0-dbg
Description: debugging symbols for the wxGTK webview library
 This package contains detached debugging symbols for the wxGTK webview library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-webview3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-webview library.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.0-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.0-i18n
Architecture: all
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.0-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.0-dev, wx3.0-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: wx3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base, www-browser
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a HTML version of the wxWidgets reference manual.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1

export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOB_COUNT := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  FAST_MAKE = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# DEBIAN_WX_DEFAULT_VERSION = 2.8


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')


wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
wx_minor_version_number := $(shell sed -n 's/^wx_minor_version_number=//p' configure.in)
wx_release_number       := $(shell sed -n 's/^wx_release_number=//p' configure.in)

release := $(wx_major_version_number).$(wx_minor_version_number)

so_cur := $(shell sed 's,<set var="WX_CURRENT">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
so_age := $(shell sed 's,<set var="WX_AGE">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
soversion := $(shell expr $(so_cur) - $(so_age))

sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))v5

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

cross_host  := i586-mingw32msvc
cross_build := $(shell /usr/share/misc/config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# build options
COMMON_CONFIGURE_OPTIONS := \
    --prefix=/usr \
    --cache-file=$(config_cache) \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=sys \
    --with-expat=sys \
    $(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98 dpkg-buildflags --export=configure)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
COMMON_CONFIGURE_OPTIONS += --disable-optimise
endif

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --enable-mediactrl \
    --enable-sound \
    --enable-webview \
    --with-gtk \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
    --with-opengl \
    --without-gnomeprint \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

MSW_CONFIGURE_OPTIONS = \
    --enable-display \
    --with-msw \
    --with-opengl

# For the MSW packages, enabling threads in wx means that your application will
# have a dependency on mingwm10.dll.  If you don't use threads, this is just an
# annoyance, so default to disabling them.  If you want a wx package to use in
# a threaded application then comment out the next line.
MSW_CONFIGURE_OPTIONS += --disable-threads

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dbg      := libwxbase$(sorelease)-dbg
package_wxbase_dev      := libwxbase$(release)-dev

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dbg         := libwxgtk$(sorelease)-dbg
package_gtk_dev         := libwxgtk$(release)-dev

package_gtkmedia_lib    := libwxgtk-media$(sorelease)
package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
package_gtkmedia_dev    := libwxgtk-media$(release)-dev

package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
package_gtkwebview_dev    := libwxgtk-webview$(release)-dev

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common)


package_msw_dev         := libwxmsw$(release)-dev
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
do_not_build_packages :=
ifdef DEBIAN_WX_DEFAULT_VERSION
do_not_build_packages += $(common_packages)
endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_install         = objs_gtk_install

objdir_doc                 = docs/doxygen/out
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_install         = objs_msw_install

objdirs := $(objdir_wxbase_shared) $(objdir_gtk_shared) $(objdir_gtk_install) \
	   $(objdir_doc) $(objdir_examples) \
	   $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp \
                    build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-i18n-stamp

build_indep_stamps = build-doc-stamp build-examples-stamp

build_cross_stamps = build-msw-shared-stamp build-msw-static-stamp

build_stamps_native := $(build_arch_stamps) $(build_indep_stamps)

build_stamps := $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev \
                   install-gtk-lib install-gtk-dev        \
		   install-gtkmedia-lib install-gtkmedia-dev \
		   install-gtkwebview-lib install-gtkwebview-dev \
                   install-headers install-i18n

ifndef DEBIAN_WX_DEFAULT_VERSION
  install_all_arch += install-common
endif

install_all_indep = install-doc install-examples

install_all_cross = install-msw-dev install-headers-msw

install_all_native := $(install_all_arch) $(install_all_indep)

install_all := $(install_all_native) $(install_all_cross)


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g'\
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dev).$$f";       \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxgtk-dev.$$f                            \
			> debian/$(package_gtk_dev).$$f;                     \
	done
	@for f in doc-base; do                                               \
		echo "generating control file $(package_doc).$$f";           \
		sed -e 's/=V/$(release)/g' < debian/wx-doc.$$f               \

## wxwidgets3.0 3.0.3.1+dfsg2

=== debian/changelog ===
wxwidgets3.0 (3.0.3.1+dfsg2-1) unstable; urgency=medium

  * Drop the webview packages as they require an obsolete webkitgtk version.
    To get them back, we'll need to migrate to GTK+ 3 which is a longer term
    project.  (Closes: #790222)
  * README.Debian: Update for -dbg to dbgsym change, and to indicate that we
    now have a wx3.0-doc package.
  * debian/control.in: Note conformance with Standards-Version 4.1.0.
  * Update repack of sources to remove prebuilt Java .class files without
    sources.

 -- Olly Betts <olly@survex.com>  Fri, 29 Sep 2017 09:46:36 +1300

wxwidgets3.0 (3.0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/: Refresh patches and drop those incorporated upstream:
      - gst1.0.patch
      - Define-wxIsNaN-as-std-isnan-in-C-11-mode.patch
      - Fix-STC-compilation-with-GCC6.patch
      - ed88188be7e97a0503f3471f7b0452740b732902.patch
    + debian/rules: Workaround missing execute bit on docs/doxygen/regen.sh
      in 3.0.3.1 (already fixed in upstream release branch).
  * debian/watch: Upstream now host releases on github.
  * debian/repack.sh: Make agnostic to compression used on upstream tarballs.
  * debian/control.in: Add graphviz to BDI. (Closes: #850557)
  * debian/control.in,debian/rules: Drop -dbg debug package now we have
    automatically generated debug packages.
  * debian/rules: Drop --without-gnomeprint from GTK_CONFIGURE_OPTIONS as it
    no longer does anything - gnomeprint support was dropped pre-3.0.0.
  * debian/patches/wx-config-conditionalise-webview-in-std.patch: If the -dev
    package for webview isn't installed, make wx-config behave as if webview
    was disabled at build time. (Closes: #786986)
  * debian/patches/warn-for-compiler-abi-mismatch.patch: Don't warn, as that
    can result in a pop up dialog with some applications. (Closes: #844486).
    Fix broken code in relaxed string comparison in patch which has worked so
    far mostly by luck.
  * debian/control.in: Note conformance with Standards-Version 4.0.0.
  * debian/control.in: Remove links to upstream homepage from long
    descriptions.
  * Update URLs pointing to upstream website and trac to use https.
  * debian/control.in: Use https: instead of git: for Vcs-Git.
  * debian/control.in: Update Vcs-Browser to use cgit URL instead of gitweb,
    as the gitweb URL now just redirects to the cgit one.
  * debian/rules: Use $(DEB_SOURCE) instead of calling dpkg-parsechangelog
    directly.

 -- Olly Betts <olly@survex.com>  Wed, 26 Jul 2017 11:50:14 +1200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: wxwidgets3.0
 Section: libs
 Priority: optional
-Build-Depends-indep: doxygen
+Build-Depends-indep: doxygen, graphviz
 Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
  g++ (>= 4:5.2),
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  autotools-dev, autoconf, libexpat1-dev, dpkg-dev (>= 1.16.1~), libxt-dev,
  libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libwebkitgtk-dev, libnotify-dev
+ libnotify-dev
 Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wx3.0-debian
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wx3.0-debian
-Homepage: http://www.wxwidgets.org/
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/freewx/wx.git -b wx3.0-debian
+Vcs-Browser: https://anonscm.debian.org/cgit/freewx/wx.git/log/?id=refs/heads/wx3.0-debian
+Homepage: https://www.wxwidgets.org/
 
 Package: libwxbase3.0-0v5
 Architecture: any
@@ -55,28 +55,6 @@
  This package provides the files needed to compile apps using the wxBase
  library.
 
-Package: libwxbase3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxbase3.0-0v5 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxbase3.0-0-dbg
-Replaces: libwxbase3.0-0-dbg
-Description: debugging symbols for the wxBase library
- This package contains detached debugging symbols for the wxBase library
- (part of wxWidgets).
- .
- wxBase is a collection of C++ classes providing basic data structures
- (strings, lists, arrays), powerful wxDateTime class for date manipulations,
- portable wrappers around many OS-specific functions allowing the same
- program to work for all supported platforms, wxThread class for writing
- multithreaded programs, and much more.
- .
- wxBase currently supports the following platforms: Generic Unix (Linux,
- FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
-
 Package: libwxgtk3.0-0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -87,7 +65,7 @@
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
+ unpopular ones as well).
  .
  This package provides the shared libraries needed to run programs linked
  against wxWidgets.  To use the (optional) glcanvas library you will need
@@ -109,23 +87,6 @@
  .
  This package also provides the wx-config script.
 
-Package: libwxgtk3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk3.0-0v5 (= ${binary:Version}), libwxbase3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk3.0-0-dbg
-Replaces: libwxgtk3.0-0-dbg
-Description: debugging symbols for the wxGTK GUI toolkit library
- This package contains detached debugging symbols for the wxGTK library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
-
 Package: libwxgtk-media3.0-0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -139,27 +100,10 @@
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
+ unpopular ones as well).
  .
  This package provides the media shared libraries needed to run programs linked
  against libwx_gtk2u_media.
-
-Package: libwxgtk-media3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk-media3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk-media3.0-0-dbg
-Replaces: libwxgtk-media3.0-0-dbg
-Description: debugging symbols for the wxGTK media library
- This package contains detached debugging symbols for the wxGTK media library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
 
 Package: libwxgtk-media3.0-dev
 Architecture: any
@@ -173,52 +117,6 @@
  .
  This package provides files needed to compile wxWidgets programs using the
  wxgtk-media library.
-
-Package: libwxgtk-webview3.0-0v5
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk-webview3.0-0
-Replaces: libwxgtk-webview3.0-0
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
- .
- This package provides the webview shared libraries needed to run programs
- linked against libwx_gtk2u_webview.
-
-Package: libwxgtk-webview3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Suggests: libwebkitgtk-3.0-0-dbg
-Multi-Arch: same
-Breaks: libwxgtk-webview3.0-0-dbg
-Replaces: libwxgtk-webview3.0-0-dbg
-Description: debugging symbols for the wxGTK webview library
- This package contains detached debugging symbols for the wxGTK webview library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
-
-Package: libwxgtk-webview3.0-dev
-Architecture: any
-Section: libdevel
-Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
- .
- This package provides files needed to compile wxWidgets programs using the
- wxgtk-webview library.
 
 Package: wx-common
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 export DH_OPTIONS
 
+include /usr/share/dpkg/pkg-info.mk
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -37,7 +39,7 @@
 # descriptive alphanumeric name will do for FLAVOUR.  This will allow
 # a custom build to be installed alongside the mainline ones without
 # conflict.
-DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')
+DEBIAN_WXFLAVOUR := $(word 2,$(subst -, ,$(DEB_SOURCE)))
 
 
 wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
@@ -85,13 +87,11 @@
     --enable-graphics_ctx \
     --enable-mediactrl \
     --enable-sound \
-    --enable-webview \
     --with-gtk \
     --with-libjpeg=sys \
     --with-libpng=sys \
     --with-libtiff=sys \
     --with-opengl \
-    --without-gnomeprint \
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 MSW_CONFIGURE_OPTIONS = \
@@ -107,20 +107,13 @@
 
 # Packages to build:
 package_wxbase_lib      := libwxbase$(sorelease)
-package_wxbase_dbg      := libwxbase$(sorelease)-dbg
 package_wxbase_dev      := libwxbase$(release)-dev
 
 package_gtk_lib         := libwxgtk$(sorelease)
-package_gtk_dbg         := libwxgtk$(sorelease)-dbg
 package_gtk_dev         := libwxgtk$(release)-dev
 
 package_gtkmedia_lib    := libwxgtk-media$(sorelease)
-package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
 package_gtkmedia_dev    := libwxgtk-media$(release)-dev
-
-package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
-package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
-package_gtkwebview_dev    := libwxgtk-webview$(release)-dev
 
 package_headers         := wx$(release)-headers
 package_i18n            := wx$(release)-i18n
@@ -183,7 +176,6 @@
 install_all_arch = install-wxbase-lib install-wxbase-dev \
                    install-gtk-lib install-gtk-dev        \
 		   install-gtkmedia-lib install-gtkmedia-dev \
-		   install-gtkwebview-lib install-gtkwebview-dev \
                    install-headers install-i18n
 
 ifndef DEBIAN_WX_DEFAULT_VERSION
@@ -222,3 +214,11 @@
 	@for f in doc-base; do                                               \
 		echo "generating control file $(package_doc).$$f";           \
 		sed -e 's/=V/$(release)/g' < debian/wx-doc.$$f               \
+			> debian/$(package_doc).$$f;                         \
+	done
+	@for f in examples; do                                               \
+		echo "generating control file $(package_examples).$$f";      \
+		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
+	done
+	@for f in postinst prerm; do                                         \
+		echo "generating control file $(package_msw_dev).$$f";       \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$// \
  https://github.com/wxWidgets/wxWidgets/releases \
  /wxWidgets/wxWidgets/archive/v([0-9]+\.[0-9]*[02468]\.[0-9.]+)\.tar\.gz debian debian/repack.sh
